<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>co.com.app</groupId>
        <artifactId>web-wildfly</artifactId>
        <version>1.0-SNAPSHOT</version>
    </parent>

    <artifactId>web-wildfly-ear</artifactId>
    <packaging>ear</packaging>
    <name>web-wildfly-ear</name>

    <properties>
        <mvn.compiler.plugin.version>3.8.1</mvn.compiler.plugin.version>
        <mvn.ear.plugin.version>3.2.0</mvn.ear.plugin.version>
        <wildfly.mvn.plugin.version>2.0.2.Final</wildfly.mvn.plugin.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>${mvn.compiler.plugin.version}</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-ear-plugin</artifactId>
                <version>${mvn.ear.plugin.version}</version>
                <configuration>
                    <version>6</version>
                    <defaultLibBundleDir>lib</defaultLibBundleDir>
                    <modules>
                        <ejbModule>
                            <groupId>co.com.app</groupId>
                            <artifactId>web-wildfly-ejb</artifactId>
                        </ejbModule>
                        <webModule>
                            <groupId>co.com.app</groupId>
                            <artifactId>web-wildfly-web</artifactId>
                            <context-root>/</context-root>
                        </webModule>
                    </modules>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.wildfly.plugins</groupId>
                <artifactId>wildfly-maven-plugin</artifactId>
                <version>${wildfly.mvn.plugin.version}</version>
                <executions>
                    <execution>
                        <phase>install</phase>
                        <goals>
                            <goal>undeploy</goal>
                            <goal>deploy</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>co.com.app</groupId>
            <artifactId>web-wildfly-ejb</artifactId>
            <version>1.0-SNAPSHOT</version>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>co.com.app</groupId>
            <artifactId>web-wildfly-web</artifactId>
            <version>1.0-SNAPSHOT</version>
            <type>war</type>
        </dependency>
    </dependencies>
</project>
